API

Print News Search Direct API

Journaux, magazines, publications professionnelles, production editoriale, couverture de presse et journalisme imprime.

Documentation API Version: 1.0.0 4 Endpoints Authentification
Presse ecrite

URL de base

https://api.pressmonitor.fr

Authentification

Toutes les requêtes utilisent un jeton Bearer. Ajoutez l en-tête Authorization à chaque appel.

Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Paramètres

Nom Type Emplacement Obligatoire Description
keywords_text string query Oui
lang_code string query Non
country_code string query Non
count integer query Non
cursor string query Non
sort string query Non Sort order (date or relevance)
date_from string query Non Start date for news (YYYY-MM-DD format)
date_to string query Non End date for news (YYYY-MM-DD format)

Exemples de code

curl -X GET "https://api.pressmonitor.fr/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succes
GET /briefs

Paramètres

Nom Type Emplacement Obligatoire Description
keywords_text string query Oui
lang_code string query Non
country_code string query Non
count integer query Non
cursor string query Non
sort string query Non Sort order (date or relevance)
date_from string query Non Start date for news (YYYY-MM-DD format)
date_to string query Non End date for news (YYYY-MM-DD format)

Exemples de code

curl -X GET "https://api.pressmonitor.fr/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succes
GET /fulltext

Paramètres

Nom Type Emplacement Obligatoire Description
keywords_text string query Oui
lang_code string query Non
country_code string query Non
count integer query Non
cursor string query Non
sort string query Non Sort order (date or relevance)
date_from string query Non Start date for news (YYYY-MM-DD format)
date_to string query Non End date for news (YYYY-MM-DD format)

Exemples de code

curl -X GET "https://api.pressmonitor.fr/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succes
GET /clip

Paramètres

Nom Type Emplacement Obligatoire Description
id string query Oui Clip/article ID to resolve
ns string query Oui Namespace prefix for multi-tenant index resolution
date string query Oui Date of the clip (YYYY-MM-DD)
host string query Non Host name for tenant resolution
ttl integer query Non Signed URL time-to-live in seconds

Exemples de code

curl -X GET "https://api.pressmonitor.fr/clip?id=VALUE&ns=VALUE&date=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succes